The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

cPanel DNS only server update issue

Discussion in 'Bind / DNS / Nameserver Issues' started by brendenc, Nov 18, 2015.

  1. brendenc

    brendenc Member

    Joined:
    Jul 20, 2011
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Hi All,

    I've got a DNS only server running on a 512Mb Digital Ocean virtual machine.

    I don't have any excludes for glibc etc.

    exclude=bind-chroot courier* dovecot* exim* filesystem httpd* mod_ssl* mydns* mysql* nsd* perl* php* proftpd* pure-ftpd* spamassassin* squirrelmail*

    Just wondering if anyone had any suggestions?

    Code:
    [FONT=Courier New][2015-11-18 04:15:51 -0500] Removing: glibc-2.12-1.166.el6_7.1.x86_64 (installed)
    [2015-11-18 04:15:51 -0500] glibc = 2.12-1.166.el6_7.1
    [2015-11-18 04:15:51 -0500] Updated By: glibc-2.12-1.166.el6_7.3.x86_64 (updates)
    [2015-11-18 04:15:51 -0500] glibc = 2.12-1.166.el6_7.3
    [2015-11-18 04:15:51 -0500] Available: glibc-2.12-1.166.el6.i686 (base)
    [2015-11-18 04:15:51 -0500] glibc = 2.12-1.166.el6
    [B][2015-11-18 04:15:51 -0500] Error: Package: glibc-common-2.12-1.149.el6_6.9.x86_64 (@updates)[/B]
    [2015-11-18 04:15:51 -0500] Requires: glibc = 2.12-1.149.el6_6.9
    [2015-11-18 04:15:51 -0500] Removing: glibc-2.12-1.149.el6_6.9.x86_64 (@updates)
    [2015-11-18 04:15:51 -0500] glibc = 2.12-1.149.el6_6.9
    [2015-11-18 04:15:51 -0500] Updated By: glibc-2.12-1.166.el6_7.3.x86_64 (updates)
    [2015-11-18 04:15:51 -0500] glibc = 2.12-1.166.el6_7.3
    [2015-11-18 04:15:51 -0500] Removing: glibc-2.12-1.166.el6_7.1.x86_64 (installed)
    [2015-11-18 04:15:51 -0500] glibc = 2.12-1.166.el6_7.1
    [2015-11-18 04:15:51 -0500] Updated By: glibc-2.12-1.166.el6_7.3.x86_64 (updates)
    [2015-11-18 04:15:51 -0500] glibc = 2.12-1.166.el6_7.3
    [2015-11-18 04:15:51 -0500] Available: glibc-2.12-1.166.el6.i686 (base)
    [2015-11-18 04:15:51 -0500] glibc = 2.12-1.166.el6
    [2015-11-18 04:15:51 -0500] checkyum version 22.3
    [B][2015-11-18 04:15:56 -0500] E Sysup: Needed system RPMs were not installed: nscd, python-setuptools, xz, yum-utils[/B]
    [B][2015-11-18 04:15:56 -0500] ***** FATAL: Cannot proceed. Needed system RPMs were not installed.[/B]
    [2015-11-18 04:15:56 -0500] The Administrator will be notified to review this output when this script completes
    => Log closed Wed Nov 18 04:15:56 2015
    [2015-11-18 04:15:56 -0500] 17% complete
    [B][2015-11-18 04:15:56 -0500] E Running `/usr/local/cpanel/scripts/updatenow --upcp --log=/var/cpanel/updatelogs/update.1447838101.log` failed, exited with code 18 (signal = 0)[/B][/FONT]
    
    
     
    #1 brendenc, Nov 18, 2015
    Last edited by a moderator: Nov 18, 2015
  2. brendenc

    brendenc Member

    Joined:
    Jul 20, 2011
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Update: I removed python-devel as I found conflicts in log files and re-installed.
    Ran a yum-clean-transaction.

    Tried a fresh cpup and now have this:

    Code:
    [2015-11-18 06:29:37 -0500] ***** FATAL: Tried to download 'http://httpupdate.cpanel.net/RPM/11.48/centos/6/x86_64/exim-4.86-3.cp1148.x86_64.rpm' to '/usr/local/cpanel/rpm_downloads/exim-4.86-3.cp1148.x86_64.rpm' but the file is zero bytes at /usr/local/cpanel/scripts/updatenow.static-cpanelsync line 34075.
    [2015-11-18 06:29:37 -0500]   The Administrator will be notified to review this output when this script completes
    [2015-11-18 06:29:37 -0500] ***** FATAL: Failed to stage “new RPMS” because of an error: Tried to download 'http://httpupdate.cpanel.net/RPM/11.48/centos/6/x86_64/exim-4.86-3.cp1148.x86_64.rpm' to '/usr/local/cpanel/rpm_downloads/exim-4.86-3.cp1148.x86_64.rpm' but the file is zero bytes at /usr/local/cpanel/scripts/updatenow.static-cpanelsync line 34075.
    [2015-11-18 06:29:37 -0500]  : see http://go.cpanel.net/rpmcheckfailed for more information
    [2015-11-18 06:29:37 -0500]   The Administrator will be notified to review this output when this script completes
    => Log closed Wed Nov 18 06:29:37 2015
    [2015-11-18 06:29:38 -0500]   17% complete
    [2015-11-18 06:29:38 -0500] E Running `/usr/local/cpanel/scripts/updatenow --upcp --log=/var/cpanel/updatelogs/update.1447845345.log` failed, exited with code 13 (signal = 0)
    => Log closed Wed Nov 18 06:29:39 2015
    ------------------------------------------------------------------------------------------------------------------------------
    
    Starting to think there is something wrong with cPanel/WHM not my VM?

    Suggestions - aside from rebuilding?
     
  3. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,706
    Likes Received:
    658
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
  4. brendenc

    brendenc Member

    Joined:
    Jul 20, 2011
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Code:
    # cat /etc/cpupdate.conf
    CPANEL=stable
    RPMUP=daily
    SARULESUP=daily
    STAGING_DIR=/usr/local/cpanel
    UPDATES=daily
    No output on check_cpanel_rpms
    Code:
    # /scripts/check_cpanel_rpms
    #
    
     
  5. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,706
    Likes Received:
    658
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Do you notice any zero-byte files in the /usr/local/cpanel/tmp/rpm_downloads/ directory? Also, are you using any custom mirrors in the /etc/cpsources.conf file (if it exists)?

    Thank you.
     
  6. brendenc

    brendenc Member

    Joined:
    Jul 20, 2011
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Negative...

    We ended up forcibly removing problem RPMs and then re-installing them. Then we managed to get upcp to run fine.
     
  7. Christer Tysdal

    Christer Tysdal Registered

    Joined:
    Nov 23, 2015
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Stavanger, Norway
    cPanel Access Level:
    Root Administrator
    I got a similar error as well on both of mine DNS Only servers.

    [2015-11-23 10:03:28 -0500] E Sysup: Needed system RPMs were not installed: nscd
    [2015-11-23 10:03:28 -0500] ***** FATAL: Cannot proceed. Needed system RPMs were not installed.

    When trying to install nscd i got an dependency error telling me there is an ussue with glibc

    Solved it by running yum update glibc*
    And after yum install nscd
     
  8. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,706
    Likes Received:
    658
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
Loading...

Share This Page